Debian セキュリティ勧告

DSA-2178-1 pango1.0 -- NULL ポインタ参照

報告日時:
2011-03-02
影響を受けるパッケージ:
pango1.0
危険性:
あり
参考セキュリティデータベース:
Mitre の CVE 辞書: CVE-2011-0064.
詳細:

Pango がメモリ割り当て失敗をチェックしておらず、調整可能な参照位置で の NULL ポインタ参照を起こすことが発見されました。この欠陥により、ア プリケーションクラッシュを発生でき、さらに任意のコードの実行の可能性 もあります。

旧安定版 (lenny) にはこの問題の影響はありません。

安定版 (stable) ディストリビューション (squeeze) では、この問題はバー ジョン 1.28.3-1+squeeze2 で修正されています。

テスト版 (wheezy) および不安定版 (unstable) ディストリビューションで は、この問題は近く修正予定です。

直ぐに pango1.0 パッケージをアップグレードすることを勧めます。